#!/bin/bash
echo "====Informations générales===="
echo "Nombre de CPU: " $(grep processor /proc/cpuinfo | wc -l)
echo 'Mémoire RAM en Go: ' $(echo "scale=2; $(grep MemTotal /proc/meminfo |awk '{print $2}') / 1024^2" | bc)
echo "OS: " $(cat /etc/redhat-release)
echo "Noyau: " $(uname -r)
echo "Zimbra: " $(sudo -u zimbra /opt/zimbra/bin/zmcontrol -v)
echo ""
echo "====Arborescence des périphérique de stockage===="
lsblk -fe7
echo ""
echo "====Utilisation du système de fichier===="
df -H
echo ""
echo "====Information concernant les cartes réseau===="
ip a
echo ""
echo "====Liste des zimlets installées sur ce serveur===="
awk '/Installed Zimlets in LDAP:/{exit}1' < <(sudo -u zimbra /opt/zimbra/bin/zmzimletctl listzimlets)